Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.framework.trigger
Enum TriggerCapabilities.TRIGGER_TYPE

    java.lang.Object
      java.lang.Enum<TriggerCapabilities.TRIGGER_TYPE>
          org.deegree.framework.trigger.TriggerCapabilities.TRIGGER_TYPE

All Implemented Interfaces:
  Serializable, Comparable<TriggerCapabilities.TRIGGER_TYPE>

Enclosing class:
  TriggerCapabilities

    public static enum TriggerCapabilities.TRIGGER_TYPE

extends Enum<TriggerCapabilities.TRIGGER_TYPE>

Enum Constant Summary
`ALL` identifies all trigger
`POST` identifies post-trigger
`PRE` identifies pre-trigger

Method Summary
`static TriggerCapabilities.TRIGGER_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TriggerCapabilities.TRIGGER_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRE

    public static final TriggerCapabilities.TRIGGER_TYPE PRE

  identifies pre-trigger

### POST

    public static final TriggerCapabilities.TRIGGER_TYPE POST

  identifies post-trigger

### ALL

    public static final TriggerCapabilities.TRIGGER_TYPE ALL

  identifies all trigger

Method Detail

### values

    public static final TriggerCapabilities.TRIGGER_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TriggerCapabilities.TRIGGER_TYPE c : TriggerCapabilities.TRIGGER_TYPE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TriggerCapabilities.TRIGGER_TYPE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org